package com.tanpu.feo.feojob.constant;

/**
 * @program: feo-job
 * @description: 基础枚举
 * @author: zejia zj wu
 * @create: 2021-05-28 20:23
 **/
public class BaseConstant {

    /** 删除状态 String类型 */
    public class DeleteTagStr {
        /** 未删除 */
        public static final String NOT_DELETED = "0";
        /** 已删除 */
        public static final String DELETED = "1";
    }
    /** 删除状态 Int类型 */
    public class DeleteTagInt {
        /** 未删除 */
        public static final int NOT_DELETED = 0;
        /** 已删除 */
        public static final int DELETED = 1;
    }
    /** 员工状态 */
    public class EmployeeStatus {
        /** 在职 */
        public static final String ON_JOB = "on";

        /** 已离职 */
        public static final String DEPARTED = "off";
    }
    /** 性别 */
    public class Gender {
        /** 在职 */
        public static final String MAN = "0";

        /** 已离职 */
        public static final String WOMEN = "1";
    }

    /** 系统创建者 */
    public static final String SYS = "SYS";
}
