package com.tanpu.feo.feojob.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.tanpu.feo.feojob.entity.IfaAssetsEntity;
import com.tanpu.feo.feojob.mapper.IfaAssetsMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * ServiceImp
 *
 * @author zejia zj wu 2021年05月19日
 * @version 1.0
 */
@Service("ifaAssetsService")
@Slf4j
@DS("feo_diagnose")
public class IfaAssetsService {

	@Autowired
	private IfaAssetsMapper ifaAssetsMapper;


	public IfaAssetsEntity findById(String s) {

		return ifaAssetsMapper.selectById(s);
	}

	@DS("feo_diagnose")
	public void insertIfaAssets(IfaAssetsEntity ifaAssets) {
		ifaAssetsMapper.insert(ifaAssets);
	}
}
